%define uname	FlickrNet
%define oname	flickrnet
%define hname	flickr-net
%define shortver %{expand:%(echo "%{version}" |rev| cut -d. -f2-|rev)}
Name:		mono-flickrnet
Summary:	Flickr.Net API Library
Version:	3.24.0
Release:	%mkrel 4
License:	LGPLv2+
Group:		Development/Other
URL:		https://github.com/samjudson/%{hname}
Source0:	https://github.com/samjudson/%{hname}/archive/%{shortver}/%{hname}-%{version}.tar.gz
Patch0:		mono-flickrnet-3.17.0-mga-AssemblyInfo.cs.patch

BuildArch:	noarch
BuildRequires:	pkgconfig(mono)

%description
The Flickr.Net API is a .Net Library for accessing the Flickr API.
Written entirely in C# it can be accessed from with any .Net language.

%prep
%setup -qn %{hname}-%{shortver}
%autopatch -p1
find . -name "*.sln" -print -exec sed -i 's/Format Version 10.00/Format Version 11.00/g' {} \;
find . -name "*.csproj" -print -exec sed -i 's#ToolsVersion="3.5"#ToolsVersion="4.0"#g; s#<TargetFrameworkVersion>.*</TargetFrameworkVersion>##g; s#<PropertyGroup>#<PropertyGroup><TargetFrameworkVersion>v4.5</TargetFrameworkVersion>#g' {} \;


%build
pushd %{uname}
xbuild %{uname}.csproj
popd

cat << EOF > %{oname}.pc
prefix=%{_prefix}
assemblies_dir=\${prefix}/lib/mono/%{oname}
Libraries=\${assemblies_dir}/%{uname}.dll
 
Name: %{uname}
Description: Flickr.Net API Library
Version: %{version}
Libs: -r:\${assemblies_dir}/%{uname}.dll
EOF

%install
gacutil -i %{uname}/bin/Debug/%{uname}.dll -package %{oname} -root %{buildroot}%{_prefix}/lib
%__mkdir -p %{buildroot}%{_datadir}/pkgconfig
cp %{oname}.pc %{buildroot}%{_datadir}/pkgconfig/

%files
%{_prefix}/lib/mono/%{oname}
%{_prefix}/lib/mono/gac/%{uname}
%{_datadir}/pkgconfig/%{oname}.pc


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 3.24.0-4.mga9
+ Revision: 1838381
- Mageia 9 Mass Rebuild
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Wed Feb 12 2020 umeabot <umeabot> 3.24.0-3.mga8
+ Revision: 1502156
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.24.0-2.mga7
+ Revision: 1279948
- Mageia 7 Mass Rebuild

* Thu Dec 28 2017 barjac <barjac> 3.24.0-1.mga7
+ Revision: 1186230
- new version 3.24
- fixed SOURCE0

* Mon Feb 22 2016 barjac <barjac> 3.22.0-1.mga6
+ Revision: 975942
- new version 3.22

* Thu Jan 28 2016 barjac <barjac> 3.17.0-1.mga6
+ Revision: 928541
- use release tarball
- fix build using fedora hack for tools version
- re-patch AssemblyInfo.cs for this version
+ fwang <fwang>
- 3.17
+ tv <tv>
- rebuild for mono4

* Wed Oct 15 2014 umeabot <umeabot> 3.13.0-4.mga5
+ Revision: 743692
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.13.0-3.mga5
+ Revision: 682580
- Mageia 5 Mass Rebuild

* Thu Jul 24 2014 barjac <barjac> 3.13.0-2.mga5
+ Revision: 656387
- patch upstream bug https://flickrnet.codeplex.com/workitem/35416

* Thu Jul 24 2014 barjac <barjac> 3.13.0-1.mga5
+ Revision: 656157
- new version 3.13
- spec cleanup
- added script to make tarball from vcs
- thanks to Matthieu Nguyen for his help

* Fri Oct 18 2013 umeabot <umeabot> 2.1.5-5.mga4
+ Revision: 507962
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.1.5-4.mga3
+ Revision: 360244
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 2.1.5-3.mga1
+ Revision: 63680
- imported package mono-flickrnet


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.5-3mdv2011.0
+ Revision: 609163
- rebuild

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 2.1.5-2mdv2010.0
+ Revision: 440086
- rebuild

* Sun Feb 01 2009 Funda Wang <fwang@mandriva.org> 2.1.5-1mdv2009.1
+ Revision: 336235
- import mono-flickrnet


